Bug 113746 - Py_UNICODE and Tcl_UniChar differ in size
Py_UNICODE and Tcl_UniChar differ in size
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tcl (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
:
Depends On: 100793
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-16 19:25 EST by Mark Fassler
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-05 09:09:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Changes the datatype sizeof Tcl_UniChar (313 bytes, patch)
2004-01-16 19:29 EST, Mark Fassler
no flags Details | Diff
Tells the tcltk.spec file to pickup the new patch (599 bytes, patch)
2004-01-16 19:30 EST, Mark Fassler
no flags Details | Diff
currently disabled ucs4 patch for tcltk (1.30 KB, patch)
2004-01-21 02:17 EST, Jens Petersen
no flags Details | Diff

  None (edit)
Description Mark Fassler 2004-01-16 19:25:13 EST
Description of problem:

Some Python software that I've downloaded (a package called 'leo', not
from Red Hat) fails with the following error:

 SystemError: Py_UNICODE and Tcl_UniChar differ in size

A little google-ing reveals that other people have had this problem,
bot with leo and with other software.  


Version-Release number of selected component (if applicable):

Fedora Core 1, tcltk 8.3.5


How reproducible:

Run leo.  Fails 100% of the time.  


Steps to Reproduce:

Install and run "leo" (available from
http://sourceforge.net/projects/leo/ )

  
The problem can be fixed as follows:

get the "tcltk" and "python" SRPMS.  In the tcltk source, find
"tcl.h".  Change the datatype for Tcl_UniChar to be 32 bits, so this:

  typedef unsigned short Tcl_UniChar;

becomes this:

  typedef unsigned long Tcl_UniChar;

then rebuild the entire tcltk and python rpms.  

(I don't know if this is a very *portable* way of fixing the problem,
but it works great for me with Linux on 32-bit Intel.)

Also note:  word is that Python 2.3 and tcltk-8.4.5 fix the problem. 
But it would be nice to have this simple backport to the current
release...)
Comment 1 Mark Fassler 2004-01-16 19:29:05 EST
Created attachment 97069 [details]
Changes the datatype sizeof Tcl_UniChar

(place into SOURCES dir)
Comment 2 Mark Fassler 2004-01-16 19:30:10 EST
Created attachment 97070 [details]
Tells the tcltk.spec file to pickup the new patch

(patch the specfile with this patch)
Comment 3 Jens Petersen 2004-01-21 01:51:47 EST
What about the flames for ucs4 RHL9 tcl got?
Comment 4 Jens Petersen 2004-01-21 01:54:45 EST
As in bug 100793.
Comment 5 Jens Petersen 2004-01-21 02:17:28 EST
Created attachment 97141 [details]
currently disabled ucs4 patch for tcltk
Comment 6 Jens Petersen 2004-05-12 23:22:45 EDT
Misa, I'm still confused about this?  How are we doing on this with FC2?
Comment 7 Jens Petersen 2004-07-30 03:19:40 EDT
Any better with 8.4 in FC2?
Comment 8 Mark Fassler 2004-08-03 15:23:51 EDT
Seems to work fine in FC2.
Comment 9 Jens Petersen 2004-08-05 09:09:10 EDT
Ok, thanks - I will close for now then. :)

Note You need to log in before you can comment on or make changes to this bug.